/*
 *
 *
 *
 *                      Common constants
 *
 *
 *
 *
 */
#include <time.h>
#include <sys/timex.h>

#ifndef S1L112_ARM20_COMMON_H
#define S1L112_ARM20_COMMON_H
/* ----------------------------------------------- */

#define SERVER_PORT 1200
#define QUANTITY 1000

struct data_entry {
	unsigned long discretes[QUANTITY-1];
};

int serve_client(int fd);
void make_service(int fd, int mode);
double get_time_diff(struct ntptimeval *start, struct ntptimeval *end);
double get_utime(struct ntptimeval *t);

/* ----------------------------------------------- */
#endif
